java.lang.UnsupportedClassVersionError: org/apache/spark/launcher/Main : Unsupported major.minor version 51.0

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Samebug tips

,
via Google Groups by Marcus Haebler

Update "latest" to Java 8 on DockerHub.

Solutions on the web

via GitHub by SebastianFinkel
, 1 year ago
org/apache/spark/launcher/Main : Unsupported major.minor version 51.0
via GitHub by kanedo
, 1 year ago
net/lightbody/bmp/proxy/Main : Unsupported major.minor version 51.0
via GitHub by raptor235
, 2 years ago
net/lightbody/bmp/proxy/Main : Unsupported major.minor version 51.0
via netbeans.org by Unknown author, 2 years ago
flanagan/integration/DerivFunction : Unsupported major.minor version 51.0
via pivotal.io by Unknown author, 2 years ago
controllers/routes : Unsupported major.minor version 51.0
via cloudfoundry.org by Unknown author, 2 years ago
controllers/routes : Unsupported major.minor version 51.0
java.lang.UnsupportedClassVersionError: org/apache/spark/launcher/Main : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)

Users with the same issue

19 times, 1 week ago
Once, 2 weeks ago
5 times, 1 month ago
Once, 2 months ago
Once, 2 months ago

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.